Subject: bug#77086: Filesystems not unmounted on reboot

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Apr 2025 11:19:45 +0200

Hello,

Rutherther <[email-masked]> skribis:

>> There’s a system test, “root-unmount” in (gnu tests base), but it
>> succeeds: <https://ci.guix.gnu.org/build/9790935/details>.
>
> Thanks for pointing out this test, good to know about it, although it's
> not exactly what I had in mind. I was able to reproduce previously by
> running the upgrade-shepherd-services.scm that is ran upon reconfigure,
> without it, root fs unmounted cleanly. So the test I had in mind would
> be to test that when shepherd is upgraded like this, there aren't
> changes to how the services are stopped.

I’m not sure I understand: do you have a reproducer in a VM, either
manual or automatic?  If you do, please share; if it’s manual, you can
share the steps you followed.

Thanks in advance! :-)

Ludo’.